import request from '@/utils/request'

// 初始化项目
export function initProject() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_项目名称_查询数据'
    }
  })
}
// 查询组件工艺
export function searchDetail(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间装配管理_组件工艺_查询数据',
      param: '机床流水号=' + num
    }
  })
}
// 查询工序
export function searchProcess(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间装配管理_装配工序_查询数据',
      param: '组件工艺流水号=' + num
    }
  })
}
// 主表查询
export function searchTable(check1, machineNumberValue, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间装配管理_项目打印_查询数据',
      param: '机床流水号_check=' + check1 + '=int&机床流水号=' + machineNumberValue,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
